Bug 219229 - [MAINTAINER] net/tigervnc-devel: Update to 1.8.0 Beta (a.k.a 1.7.90)
Summary: [MAINTAINER] net/tigervnc-devel: Update to 1.8.0 Beta (a.k.a 1.7.90)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-05-12 01:59 UTC by Koichiro Iwao
Modified: 2017-05-20 10:10 UTC (History)
2 users (show)

See Also:


Attachments
patch (4.69 KB, patch)
2017-05-12 01:59 UTC, Koichiro Iwao
no flags Details | Diff
patch-build-depends (725 bytes, patch)
2017-05-17 01:59 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2017-05-12 01:59:23 UTC
Created attachment 182525 [details]
patch

Poudriere build passed for me (11-STABLE amd64)

Release note: https://github.com/TigerVNC/tigervnc/releases/tag/v1.7.90
Comment 1 Thomas Zander freebsd_committer 2017-05-13 14:21:02 UTC
When the VIEWER option is deselected, the build breaks due to missing libfltk. Could you double-check?
Comment 2 Koichiro Iwao freebsd_committer 2017-05-17 00:05:35 UTC
OK, I'll check it.
Comment 3 Koichiro Iwao freebsd_committer 2017-05-17 01:58:57 UTC
It turned out that FLTK is used for tests even if VIEWER is not built.

And one more thing, graphics/dri has been moved to graphics/mesa-dri. It needs to be changed.
Comment 4 Koichiro Iwao freebsd_committer 2017-05-17 01:59:57 UTC
Created attachment 182649 [details]
patch-build-depends

See attached patch patch. I think the build should be fixed.
Comment 5 commit-hook freebsd_committer 2017-05-20 10:08:21 UTC
A commit references this bug:

Author: riggs
Date: Sat May 20 10:07:20 UTC 2017
New revision: 441303
URL: https://svnweb.freebsd.org/changeset/ports/441303

Log:
  Update to 1.8.0 Beta (a.k.a 1.7.90)

  PR:		219229
  Submitted by:	meta+ports@vmeta.jp (maintainer)

Changes:
  head/net/tigervnc-devel/Makefile
  head/net/tigervnc-devel/distinfo
  head/net/tigervnc-devel/files/patch-unix_vncserver
  head/net/tigervnc-devel/files/patch-unix_xserver117.patch
  head/net/tigervnc-devel/pkg-plist
Comment 6 Thomas Zander freebsd_committer 2017-05-20 10:10:45 UTC
Committed with typo fix: FLTK includes have an uppercase "H".